## jpnevulator 1.2.3

=== Makefile ===
# jpnevulator - serial reader/writer
# Copyright (C) 2006 Freddy Spierenburg
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

# Name of the binary.
NAME=jpnevulator

# Destination where to put our stuff 'make install'.
ifeq ($(origin DESTDIR), undefined)
	bindir=/usr/local/bin
	mandir=/usr/local/man/man1
else
	bindir=$(DESTDIR)/usr/bin
	mandir=$(DESTDIR)/usr/share/man/man1
endif

# List of the objects to built.
OBJECTS=main.o
OBJECTS+=options.o
OBJECTS+=jpnevulator.o
OBJECTS+=byte.o
OBJECTS+=tty.o
OBJECTS+=io.o
OBJECTS+=checksum.o
OBJECTS+=crc16.o
OBJECTS+=crc8.o
OBJECTS+=list.o

# List of the manual pages.
MANPAGES=jpnevulator.1.gz

# Tools 
CLIBS=
CFLAGS=-Wall
CC=gcc
GZIP=gzip
INSTALL=install

.PHONY: all FORCE clean install

all: $(NAME) $(MANPAGES)

$(NAME): $(OBJECTS)
	$(CC) $(CFLAGS) -o $(NAME) $(CLIBS) $(OBJECTS)

$(MANPAGES):
	$(GZIP) --best -c `echo $@|sed 's/\.gz$$//'` > $@

clean:
	rm -f $(NAME) $(OBJECTS) $(MANPAGES)

install: $(NAME) $(MANPAGES)
	$(INSTALL) -D -m 0755 $(NAME) $(bindir)/$(NAME)
	for manual in $(MANPAGES); do \
		$(INSTALL) -D -m 0644 $$manual $(mandir)/$$manual; \
	done

# Dummy target as dependecy if something has to be build everytime
FORCE:

# Automatic collection of dependencies in the source files.
# It's only updated the first time, after that it must be done maually 
# with "make depend"

# Target to update the file, it's removed first
dependall: dependrm depend

#remove the file
dependrm:
	rm -f dependencies.in
	
# Build the file that contains the dependencies. No deps in this rule.
# If there were deps it would be rebuilt every chnage, which is unneeded:
depend: dependencies.in 
	@echo "depend"

dependencies.in:
	$(CC) -MM $(CFLAGS) $(patsubst %.o,%.c,$(OBJECTS)) >$@

# The dependecies are included from a separate file:
-include dependencies.in

## jpnevulator 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # jpnevulator - serial reader/writer
-# Copyright (C) 2006 Freddy Spierenburg
+# Copyright (C) 2006-2009 Freddy Spierenburg
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

## jpnevulator 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # jpnevulator - serial reader/writer
-# Copyright (C) 2006-2009 Freddy Spierenburg
+# Copyright (C) 2006-2012 Freddy Spierenburg
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
jpnevulator (1.3.1-1) unstable; urgency=low

  * New release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Sun, 22 Jan 2012 00:14:01 +0100

jpnevulator (1.3.0-1) unstable; urgency=low

  * New release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Sat, 25 Apr 2009 13:00:53 +0200

jpnevulator (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * First official upload to Debian, closes bug#378671.

 -- Freddy Spierenburg <freddy@snarl.nl>  Fri, 21 Jul 2006 15:17:27 +0200

jpnevulator (1.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Mon, 17 Jul 2006 00:20:47 +0200

jpnevulator (1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Sun, 25 Jun 2006 16:08:19 +0200

jpnevulator (1.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Freddy Spierenburg <freddy@snarl.nl>  Sun, 25 Jun 2006 14:10:55 +0200

jpnevulator (1.1.0-1) unstable; urgency=low

  * Initial release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Sat,  3 Jun 2006 15:34:17 +0200

=== debian/control ===
Source: jpnevulator
Homepage: http://jpnevulator.snarl.nl/
Section: comm
Priority: optional
Maintainer: Freddy Spierenburg <freddy@snarl.nl>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.2

Package: jpnevulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Serial sniffer
 jpnevulator is a handy serial sniffer. You can use it to send data on a
 serial device too. You can read or write from/to one or more serial
 devices at the same time.
 .
 In write mode data to be sent on the serial device(s) is read from a
 file or stdin in hexadecimal notation. Data is sent on the serial
 device(s) line by line.
 .
 In read mode data to be read from the serial device(s) is written to a
 file or stdout in hexadecimal notation. It's even possible to pass the
 data in between the serial device(s). Several options enhance the
 way the data is displayed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/jpnevulator.sgml > jpnevulator.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/jpnevulator.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/jpnevulator


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://jpnevulator.snarl.nl/download/jpnevulator-(.+).tgz

## jpnevulator 2.1.1

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,9 @@
 OBJECTS+=options.o
 OBJECTS+=jpnevulator.o
 OBJECTS+=byte.o
+OBJECTS+=interface.o
 OBJECTS+=tty.o
+OBJECTS+=pty.o
 OBJECTS+=io.o
 OBJECTS+=checksum.o
 OBJECTS+=crc16.o
@@ -45,6 +47,7 @@
 # Tools 
 CLIBS=
 CFLAGS=-Wall
+LDFLAGS=
 CC=gcc
 GZIP=gzip
 INSTALL=install
@@ -54,7 +57,7 @@
 all: $(NAME) $(MANPAGES)
 
 $(NAME): $(OBJECTS)
-	$(CC) $(CFLAGS) -o $(NAME) $(CLIBS) $(OBJECTS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $(NAME) $(CLIBS) $(OBJECTS)
 
 $(MANPAGES):
 	$(GZIP) --best -c `echo $@|sed 's/\.gz$$//'` > $@

## jpnevulator 2.1.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # jpnevulator - serial reader/writer
-# Copyright (C) 2006-2012 Freddy Spierenburg
+# Copyright (C) 2006-2014 Freddy Spierenburg
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
jpnevulator (2.1.3-1) unstable; urgency=low

  * New upstream release.
  * Fixed the conflicting parameter types, closes: bug#748568.
    Actually this bug was already solved in version 2.1.2-1, but my
    Debian mentor was not happy with that release, since it was
    missing the information about this closed bug. He once again
    was right and is hopefully happy with this release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Tue, 05 Aug 2014 21:39:36 +0200

jpnevulator (2.1.2-1) unstable; urgency=low

  * New release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Thu, 12 Jun 2014 18:49:13 +0200

jpnevulator (2.1.1-1) unstable; urgency=low

  * New release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Mon, 06 Aug 2012 21:20:35 +0200

jpnevulator (2.1.0-1) unstable; urgency=low

  * New release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Sun, 05 Aug 2012 22:47:38 +0200

jpnevulator (2.0.3-1) unstable; urgency=low

  * New release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Wed, 09 May 2012 21:25:05 +0200

jpnevulator (2.0.2-1) unstable; urgency=low

  * New release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Tue, 17 Apr 2012 18:51:18 +0200

jpnevulator (2.0.1-1) unstable; urgency=low

  * New release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Mon, 16 Apr 2012 18:25:08 +0200

jpnevulator (2.0.0-1) unstable; urgency=low

  * New release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Sun, 15 Apr 2012 23:26:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Maintainer: Freddy Spierenburg <freddy@snarl.nl>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 
 Package: jpnevulator
 Architecture: any

## jpnevulator 2.3.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # jpnevulator - serial reader/writer
-# Copyright (C) 2006-2014 Freddy Spierenburg
+# Copyright (C) 2006-2015 Freddy Spierenburg
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -40,6 +40,7 @@
 OBJECTS+=crc16.o
 OBJECTS+=crc8.o
 OBJECTS+=list.o
+OBJECTS+=misc.o
 
 # List of the manual pages.
 MANPAGES=jpnevulator.1.gz
@@ -86,7 +87,7 @@
 	rm -f dependencies.in
 	
 # Build the file that contains the dependencies. No deps in this rule.
-# If there were deps it would be rebuilt every chnage, which is unneeded:
+# If there were deps it would be rebuilt every change, which is unneeded:
 depend: dependencies.in 
 	@echo "depend"

=== debian/changelog ===
jpnevulator (2.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Mon, 14 Dec 2015 00:31:08 +0100

jpnevulator (2.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Sun, 13 Dec 2015 22:37:37 +0100

jpnevulator (2.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Tue, 29 Sep 2015 21:18:55 +0200

jpnevulator (2.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Tue, 07 Oct 2014 19:00:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Maintainer: Freddy Spierenburg <freddy@snarl.nl>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: jpnevulator
 Architecture: any

## jpnevulator 2.3.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # jpnevulator - serial reader/writer
-# Copyright (C) 2006-2015 Freddy Spierenburg
+# Copyright (C) 2006-2016 Freddy Spierenburg
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
jpnevulator (2.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Sat, 27 Aug 2016 01:23:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,9 @@
 
 
 
-CFLAGS = -Wall -g
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -Wall
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -36,7 +38,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 	#docbook-to-man debian/jpnevulator.sgml > jpnevulator.1
 
 	touch $@

## jpnevulator 2.3.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # jpnevulator - serial reader/writer
-# Copyright (C) 2006-2016 Freddy Spierenburg
+# Copyright (C) 2006-2020 Freddy Spierenburg
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -46,10 +46,10 @@
 MANPAGES=jpnevulator.1.gz
 
 # Tools 
-CLIBS=
-CFLAGS=-Wall
-LDFLAGS=
-CC=gcc
+CLIBS?=
+CFLAGS+=-Wall
+LDFLAGS?=
+CC?=gcc
 GZIP=gzip
 INSTALL=install

=== debian/changelog ===
jpnevulator (2.3.6-1) unstable; urgency=low

  * New upstream release.
  * Upgrade to more recent debhelper version. (Closes: #965609)
  * Start signing the source package.
  * Update copyright file according to current machine readable rules.
  * Add upstream/metadata information.
  * Make rules more dh compliant.
  * Remove no longer needed compat file.
  * Add Dockerfile and README to easily create the package.
  * (Helmut Grohne) Fix FTCBFS: Let dh_auto_build pass cross tools to
    make. (Closes: #958136)

 -- Freddy Spierenburg <freddy@snarl.nl>  Tue, 28 Jul 2020 13:44:45 +0200

jpnevulator (2.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Freddy Spierenburg <freddy@snarl.nl>  Fri, 08 May 2020 22:20:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Section: comm
 Priority: optional
 Maintainer: Freddy Spierenburg <freddy@snarl.nl>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.3.0
 
 Package: jpnevulator
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
-
-
-CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -Wall
-CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 configure: configure-stamp
 configure-stamp:
@@ -34,11 +25,11 @@
 build-arch: build-stamp
 build-indep: build-stamp
 
-build-stamp: configure-stamp 
+build-stamp: configure-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+	dh_auto_build -- CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 	#docbook-to-man debian/jpnevulator.sgml > jpnevulator.1
 
 	touch $@
@@ -49,18 +40,18 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	$(MAKE) clean
+	${MAKE} clean
 
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_prep 
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/jpnevulator.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/jpnevulator
+	dh_auto_build -- install DESTDIR=$(CURDIR)/debian/jpnevulator
 
 
 # Build architecture-independent files here.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://jpnevulator.snarl.nl/download/jpnevulator-(.+)\.tgz
